summaryrefslogtreecommitdiffstats
path: root/debian/netdata-apache2.postinst
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-19 02:58:04 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-19 02:58:04 +0000
commit89f8d515746f459d7ca8e6261bd590bd1b4602bd (patch)
treee419fa4503aef64498a4e74697f5b35b26e9c8d6 /debian/netdata-apache2.postinst
parentAdding upstream version 1.44.3. (diff)
downloadnetdata-89f8d515746f459d7ca8e6261bd590bd1b4602bd.tar.xz
netdata-89f8d515746f459d7ca8e6261bd590bd1b4602bd.zip
Adding debian version 1.44.3-2.debian/1.44.3-2debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/netdata-apache2.postinst')
-rwxr-xr-xdebian/netdata-apache2.postinst31
1 files changed, 31 insertions, 0 deletions
diff --git a/debian/netdata-apache2.postinst b/debian/netdata-apache2.postinst
new file mode 100755
index 00000000..037bdca7
--- /dev/null
+++ b/debian/netdata-apache2.postinst
@@ -0,0 +1,31 @@
+#!/bin/sh
+
+set -e
+
+case "${1}" in
+ configure)
+ if [ -e /usr/share/apache2/apache2-maintscript-helper ]
+ then
+ . /usr/share/apache2/apache2-maintscript-helper
+
+ apache2_invoke enmod proxy
+ apache2_invoke enmod proxy_http
+ apache2_invoke enmod rewrite
+
+ apache2_reload restart
+ fi
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`${1}'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0